package com.izouma.awesomeadmin.dao;

import java.util.List;
import java.util.Map;

import com.izouma.awesomeadmin.model.SysDatarule;
import org.springframework.stereotype.Repository;


/**
 * sys_datarule Dao接口
 * Tue Apr 17 10:44:06 CST 2018  Suo Chen Cheng
 */ 
@Repository("com.izouma.awesomeadmin.dao.SysDataruleMapper")
public interface SysDataruleMapper {

	int deleteByPrimaryKey(Integer id);

	int insertSelective(SysDatarule record);

	SysDatarule selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(SysDatarule record);

	List <SysDatarule> queryAllSysDatarule(SysDatarule record);

	List <SysDatarule> querySysDatarulesByPage(Map <String, Object> parameter);

	int delete(String id);

	SysDatarule querySysDatarule(SysDatarule record);
}

